Index: groups/view.ctp
===================================================================
--- groups/view.ctp	(revision 0)
+++ groups/view.ctp	(revision 0)
@@ -0,0 +1,33 @@
+<div class="groups view">
+<h2><?php  __('Group');?></h2>
+	<dl><?php $i = 0; $class = ' class="altrow"';?>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Id'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $group['Group']['id']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Name'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $group['Group']['name']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Createstamp'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $group['Group']['createstamp']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Note'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $group['Group']['note']; ?>
+			&nbsp;
+		</dd>
+	</dl>
+</div>
+<div class="actions">
+	<ul>
+		<li><?php echo $html->link(__('Edit Group', true), array('action'=>'edit', $group['Group']['id'])); ?> </li>
+		<li><?php echo $html->link(__('Delete Group', true), array('action'=>'delete', $group['Group']['id']), null, sprintf(__('Are you sure you want to delete # %s?', true), $group['Group']['id'])); ?> </li>
+		<li><?php echo $html->link(__('List Groups', true), array('action'=>'index')); ?> </li>
+		<li><?php echo $html->link(__('New Group', true), array('action'=>'add')); ?> </li>
+	</ul>
+</div>
Index: groups/edit.ctp
===================================================================
--- groups/edit.ctp	(revision 0)
+++ groups/edit.ctp	(revision 0)
@@ -0,0 +1,19 @@
+<div class="groups form">
+<?php echo $form->create('Group');?>
+	<fieldset>
+ 		<legend><?php __('Edit Group');?></legend>
+	<?php
+		echo $form->input('id');
+		echo $form->input('name');
+		echo $form->input('createstamp');
+		echo $form->input('note');
+	?>
+	</fieldset>
+<?php echo $form->end('Submit');?>
+</div>
+<div class="actions">
+	<ul>
+		<li><?php echo $html->link(__('Delete', true), array('action'=>'delete', $form->value('Group.id')), null, sprintf(__('Are you sure you want to delete # %s?', true), $form->value('Group.id'))); ?></li>
+		<li><?php echo $html->link(__('List Groups', true), array('action'=>'index'));?></li>
+	</ul>
+</div>
Index: groups/index.ctp
===================================================================
--- groups/index.ctp	(revision 0)
+++ groups/index.ctp	(revision 0)
@@ -0,0 +1,56 @@
+<div class="groups index">
+<h2><?php __('Groups');?></h2>
+<p>
+<?php
+echo $paginator->counter(array(
+'format' => __('Page %page% of %pages%, showing %current% records out of %count% total, starting on record %start%, ending on %end%', true)
+));
+?></p>
+<table cellpadding="0" cellspacing="0">
+<tr>
+	<th><?php echo $paginator->sort('id');?></th>
+	<th><?php echo $paginator->sort('name');?></th>
+	<th><?php echo $paginator->sort('createstamp');?></th>
+	<th><?php echo $paginator->sort('note');?></th>
+	<th class="actions"><?php __('Actions');?></th>
+</tr>
+<?php
+$i = 0;
+foreach ($groups as $group):
+	$class = null;
+	if ($i++ % 2 == 0) {
+		$class = ' class="altrow"';
+	}
+?>
+	<tr<?php echo $class;?>>
+		<td>
+			<?php echo $group['Group']['id']; ?>
+		</td>
+		<td>
+			<?php echo $group['Group']['name']; ?>
+		</td>
+		<td>
+			<?php echo $group['Group']['createstamp']; ?>
+		</td>
+		<td>
+			<?php echo $group['Group']['note']; ?>
+		</td>
+		<td class="actions">
+			<?php echo $html->link(__('View', true), array('action'=>'view', $group['Group']['id'])); ?>
+			<?php echo $html->link(__('Edit', true), array('action'=>'edit', $group['Group']['id'])); ?>
+			<?php echo $html->link(__('Delete', true), array('action'=>'delete', $group['Group']['id']), null, sprintf(__('Are you sure you want to delete # %s?', true), $group['Group']['id'])); ?>
+		</td>
+	</tr>
+<?php endforeach; ?>
+</table>
+</div>
+<div class="paging">
+	<?php echo $paginator->prev('<< '.__('previous', true), array(), null, array('class'=>'disabled'));?>
+ | 	<?php echo $paginator->numbers();?>
+	<?php echo $paginator->next(__('next', true).' >>', array(), null, array('class'=>'disabled'));?>
+</div>
+<div class="actions">
+	<ul>
+		<li><?php echo $html->link(__('New Group', true), array('action'=>'add')); ?></li>
+	</ul>
+</div>
Index: groups/add.ctp
===================================================================
--- groups/add.ctp	(revision 0)
+++ groups/add.ctp	(revision 0)
@@ -0,0 +1,17 @@
+<div class="groups form">
+<?php echo $form->create('Group');?>
+	<fieldset>
+ 		<legend><?php __('Add Group');?></legend>
+	<?php
+		echo $form->input('name');
+		echo $form->input('createstamp');
+		echo $form->input('note');
+	?>
+	</fieldset>
+<?php echo $form->end('Submit');?>
+</div>
+<div class="actions">
+	<ul>
+		<li><?php echo $html->link(__('List Groups', true), array('action'=>'index'));?></li>
+	</ul>
+</div>
Index: users/view.ctp
===================================================================
--- users/view.ctp	(revision 0)
+++ users/view.ctp	(revision 0)
@@ -0,0 +1,53 @@
+<div class="users view">
+<h2><?php  __('User');?></h2>
+	<dl><?php $i = 0; $class = ' class="altrow"';?>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Id'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $user['User']['id']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Firstname'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $user['User']['firstname']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Lastname'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $user['User']['lastname']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Email'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $user['User']['email']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Password'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $user['User']['password']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Group Id'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $user['User']['group_id']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Createstamp'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $user['User']['createstamp']; ?>
+			&nbsp;
+		</dd>
+		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Loginstamp'); ?></dt>
+		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
+			<?php echo $user['User']['loginstamp']; ?>
+			&nbsp;
+		</dd>
+	</dl>
+</div>
+<div class="actions">
+	<ul>
+		<li><?php echo $html->link(__('Edit User', true), array('action'=>'edit', $user['User']['id'])); ?> </li>
+		<li><?php echo $html->link(__('Delete User', true), array('action'=>'delete', $user['User']['id']), null, sprintf(__('Are you sure you want to delete # %s?', true), $user['User']['id'])); ?> </li>
+		<li><?php echo $html->link(__('List Users', true), array('action'=>'index')); ?> </li>
+		<li><?php echo $html->link(__('New User', true), array('action'=>'add')); ?> </li>
+	</ul>
+</div>
Index: users/edit.ctp
===================================================================
--- users/edit.ctp	(revision 0)
+++ users/edit.ctp	(revision 0)
@@ -0,0 +1,24 @@
+<div class="users form">
+<?php echo $form->create('User');?>
+	<fieldset>
+ 		<legend><?php __('Edit User');?></legend>
+	<?php
+		echo $form->input('id');
+		echo $form->input('username');
+		echo $form->input('firstname');
+		echo $form->input('lastname');
+		echo $form->input('email');
+		echo $form->input('password');
+		echo $form->input('group_id');
+		echo $form->input('createstamp');
+		echo $form->input('loginstamp');
+	?>
+	</fieldset>
+<?php echo $form->end('Submit');?>
+</div>
+<div class="actions">
+	<ul>
+		<li><?php echo $html->link(__('Delete', true), array('action'=>'delete', $form->value('User.id')), null, sprintf(__('Are you sure you want to delete # %s?', true), $form->value('User.id'))); ?></li>
+		<li><?php echo $html->link(__('List Users', true), array('action'=>'index'));?></li>
+	</ul>
+</div>
Index: users/index.ctp
===================================================================
--- users/index.ctp	(revision 0)
+++ users/index.ctp	(revision 0)
@@ -0,0 +1,72 @@
+<div class="users index">
+<h2><?php __('Users');?></h2>
+<p>
+<?php
+echo $paginator->counter(array(
+'format' => __('Page %page% of %pages%, showing %current% records out of %count% total, starting on record %start%, ending on %end%', true)
+));
+?></p>
+<table cellpadding="0" cellspacing="0">
+<tr>
+	<th><?php echo $paginator->sort('id');?></th>
+	<th><?php echo $paginator->sort('firstname');?></th>
+	<th><?php echo $paginator->sort('lastname');?></th>
+	<th><?php echo $paginator->sort('email');?></th>
+	<th><?php echo $paginator->sort('password');?></th>
+	<th><?php echo $paginator->sort('group_id');?></th>
+	<th><?php echo $paginator->sort('createstamp');?></th>
+	<th><?php echo $paginator->sort('loginstamp');?></th>
+	<th class="actions"><?php __('Actions');?></th>
+</tr>
+<?php
+$i = 0;
+foreach ($users as $user):
+	$class = null;
+	if ($i++ % 2 == 0) {
+		$class = ' class="altrow"';
+	}
+?>
+	<tr<?php echo $class;?>>
+		<td>
+			<?php echo $user['User']['id']; ?>
+		</td>
+		<td>
+			<?php echo $user['User']['firstname']; ?>
+		</td>
+		<td>
+			<?php echo $user['User']['lastname']; ?>
+		</td>
+		<td>
+			<?php echo $user['User']['email']; ?>
+		</td>
+		<td>
+			<?php echo $user['User']['password']; ?>
+		</td>
+		<td>
+			<?php echo $user['User']['group_id']; ?>
+		</td>
+		<td>
+			<?php echo $user['User']['createstamp']; ?>
+		</td>
+		<td>
+			<?php echo $user['User']['loginstamp']; ?>
+		</td>
+		<td class="actions">
+			<?php echo $html->link(__('View', true), array('action'=>'view', $user['User']['id'])); ?>
+			<?php echo $html->link(__('Edit', true), array('action'=>'edit', $user['User']['id'])); ?>
+			<?php echo $html->link(__('Delete', true), array('action'=>'delete', $user['User']['id']), null, sprintf(__('Are you sure you want to delete # %s?', true), $user['User']['id'])); ?>
+		</td>
+	</tr>
+<?php endforeach; ?>
+</table>
+</div>
+<div class="paging">
+	<?php echo $paginator->prev('<< '.__('previous', true), array(), null, array('class'=>'disabled'));?>
+ | 	<?php echo $paginator->numbers();?>
+	<?php echo $paginator->next(__('next', true).' >>', array(), null, array('class'=>'disabled'));?>
+</div>
+<div class="actions">
+	<ul>
+		<li><?php echo $html->link(__('New User', true), array('action'=>'add')); ?></li>
+	</ul>
+</div>
Index: users/add.ctp
===================================================================
--- users/add.ctp	(revision 0)
+++ users/add.ctp	(revision 0)
@@ -0,0 +1,22 @@
+<div class="users form">
+<?php echo $form->create('User');?>
+	<fieldset>
+ 		<legend><?php __('Add User');?></legend>
+	<?php
+		echo $form->input('username');
+		echo $form->input('firstname');
+		echo $form->input('lastname');
+		echo $form->input('email');
+		echo $form->input('password');
+		echo $form->input('group_id');
+		echo $form->input('createstamp');
+		echo $form->input('loginstamp');
+	?>
+	</fieldset>
+<?php echo $form->end('Submit');?>
+</div>
+<div class="actions">
+	<ul>
+		<li><?php echo $html->link(__('List Users', true), array('action'=>'index'));?></li>
+	</ul>
+</div>
Index: users/login.ctp
===================================================================
Index: users/logout.ctp
===================================================================
Index: projects/index.ctp
===================================================================
--- projects/index.ctp	(revision 0)
+++ projects/index.ctp	(revision 0)
@@ -0,0 +1,17 @@
+<!-- File: /app/views/posts/index.ctp -->
+
+<h1>Projects</h1>
+<?php echo $html->link('Add Project','/projects/add')?>
+
+
+<?php
+	foreach ($projects as $project){
+		$pid = $project['Project']['id'];
+		$pname = $project['Project']['name'];
+		echo "<h3><a href='/projects/view/$pid'>$pname #$pid</a></h3>";
+		echo $html->link('Delete', "/projects/delete/{$pid}", null, 'Are you sure?' );
+		echo "<pre>";
+		print_r($project);
+		echo "</pre>";
+	}
+?>
\ No newline at end of file
Index: projects/add.ctp
===================================================================
--- projects/add.ctp	(revision 0)
+++ projects/add.ctp	(revision 0)
@@ -0,0 +1,8 @@
+<h1>Create Project</h1>
+<?php
+echo $form->create('Project');
+echo $form->input('name');
+echo $form->input('introduction', array('rows' => '6'));
+echo $form->input('thankyou', array('rows' => '6'));
+echo $form->end('Create Project');
+?>
\ No newline at end of file
